package com.banesco.infrastructure.dtos.card;


import com.banesco.common.domain.dto.bian.response.BaseResponse;
import com.banesco.common.domain.dto.bian.response.BianStatusResponse;
import io.quarkus.runtime.annotations.RegisterForReflection;
import lombok.Data;
import lombok.EqualsAndHashCode;

@RegisterForReflection
@Data
@EqualsAndHashCode(callSuper = false)
public class BusUpdateCardStatusResponse extends BaseResponse<BianStatusResponse, Object> {
    public BusUpdateCardStatusResponse() {
        super();
    }

    public BusUpdateCardStatusResponse(BianStatusResponse statusResponse, Object data) {
        super(statusResponse, data);
    }

}
